Subject: powerpc-next rebased

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 19 Aug 2009 17:33:52 +1000

Allright it's done, let's hope I didn't screw up :-)

So I rebased the whole thing on top of latest upstream, fixing along the
way the bug that Becky found in tlb.h and fixing up a commit name from
Kumar that was referencing the wrong board. I also applied to -next the
remaining things that were in -test, except for my _PAGE_EXEC rework.

I've added a Kumar's fix for assert_pte_locked() and merged Paulus per
counter callchain support while at it

I also pushed out an updated -test with the new variant of the
_PAGE_EXEC rework and a couple more things hanging off patchwork, I'll
probably add a bit more such as the pending iommu bits tomorrow.

Cheers,
Ben.